/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.rs.introspection;

import javax.ws.rs.Path;
import javax.ws.rs.ext.Provider;
import org.fabric3.host.contribution.ValidationFailure;

/**
 * @version $Rev: 4739 $ $Date: 2008-06-05 11:39:31 -0700 (Thu, 05 Jun 2008) $
 */
public class InvalidRsClass extends ValidationFailure<Class<?>> {

    public InvalidRsClass(Class<?> implClass) {
        super(implClass);
    }

    @Override
    public String getMessage() {
        return String.format("Implementation class %s is not annotated with REST annotation %s or %s ", getValidatable().getName(), Path.class.getName(), Provider.class.getName());
    }
}
